Guest registration for the classes

Purpose: Use this API to register a guest for a class.

You must specify class_id as path params and mention the following in the body params - Check the body params section for more details.

Response Object

NameTypeDescription
registrationsobjectObject containing the guest's registration details.

registrations Object

NameTypeDescription
idlongIdentifier of the registration.
invoice_idguidUnique identifier of the invoice.
app_group_idguidUnique identifier of the appointment group id.
statusenumStatus of the registration.
custom_form_statusenumStatus of the custom form used in the registration of the guest.
guest_form_statusenumStatus of the guest form used in the registration.
membership_balanceobject(optional) Object containing the membership balance details.
guest_registrationsobjectObject containing the details of the guest registering for the class.
group_invoice_idguidUnique identifier of the group invoice.

guest_registrations Object

NameTypeDescription
idlongIdentifier of the guest registration.
guest_idguidUnique identifier of the guest.
invoice_idguidUnique identifier of the invoice.
app_group_idguidUnique identifier of the appointment group id
custom_form_statusenumStatus of the custom form used in the regis
guest_form_statusenumStatus of the guest form used i
is_virtual_guestboolDenotes if the guest is a virtual guest.

membership_balance Object

NameTypeDescription
membership_namestringName of the guest's membership.
benefit_detailsobjectmembership_balance - expand parameter
quantityfloatQuantity of the guest's membership.
frequencystringService frequency in the membership.
expiry_daysintDays of validity post which the membership will expire.
useddoubleMembership credits used.
notesstringNotes on the membership.
allow_direct_bookingboolDenotes if the guest is allowed to book directly
has_equivalentsboolDenotes if the membership has any equivalents.
balancedoubleMembership balance.
is_categoryboolDenotes the category of the membership.
discount_detailsobjectMembershipBenefitDiscountModelV1 - expand parameter
all_servicesboolDenotes if the membership includes all services.
is_addonboolDenotes if the services in the membership are addons.
redeemable_balancedoubleThe remaining balance in the guest's membership.

MembershipBenefitDiscountModelV1 Object

NameTypeDescription
discount_typeenumType of discount provided on the membership. (Percentage = 0, Flat = 1)
peak_discountdecimalDiscount offered during the peak hours.
off_peak_discountdecimalDiscount offered during the off peak hours.
post_credit_peak_discountdecimalDiscount offered after the service credits during peak hours.
post_credit_off_peak_discountdecimalDiscount offered after the service credits during off peak hours.
Path Params
int64
required

Identifier of a class.

Body Params
string
required

Unique identifier of the guest.

int64
required

Identifier of the session of the class.

string
required

Unique identifier of the center.

boolean
required

Denotes if the guest is to be added to the waitlist. True: Guest to be added to the waitlist. False: Guest is not to be added to the waitlist

string
required

Notes on the registration of the guest

int32
required

Denotes the source of the guest's registration of the guest. Website = 0, Webstore = 1, MobileApp = 2, Take5App = 3, and MobilePos = 4.

training_virtual_guests
object
required
int64

Id of the guest's registration

mobile_phone
object
string
enum

Denotes the gender of the guest. NotSpecified = -1, Male = 1, Female = 0, Other = 3.

Allowed:
int32

Denotes the status of add to all.

expand
array of strings

(optional) Contains an array of strings to expand the request.

expand
Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json